html {
    font-size: .7em;
}

body {
    max-width: 100vw;
    overflow-x: hidden;
}

.content-container {
    width: 100%;
    border: black solid 5px;

}

.row {
    width: 100%;
}




.main-row {
    width: 100%;
    padding: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

@media screen and (min-width:992px) {
    .main-row {

        flex-direction: row;
        justify-content: center;
        align-items: flex-start;
    }
}

.content_figure {
    margin-top: 20px;
}

.county-title-container {
    /* margin-top: 1rem; */
    background-color: #1F4D5F;
    padding: .5rem;
}

@media screen and (min-width:576px) {
    .county-title-container {
        border-radius: 5px;
    }
}

.map-arrow-text,
.county-title-container h2,
.county-title-container i {
    color: white;
}




.timeline-content {
    position: relative;
    padding-top: 9rem;
}


.timeline-box {
    /* padding: 80px 0; */
    -webkit-box-shadow: 0px 0px 44px 2px rgba(0, 0, 0, 0.12);
    box-shadow: 0px 0px 44px 2px rgba(0, 0, 0, 0.12);
}

#year-search-popup,
#timeline-popup {
    margin-left: .5em;
}

.bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
    display: flex;
    justify-content: center;
}


.bootstrap-select>.dropdown-toggle {
    max-width: 300px !important;
}

.bootstrap-select .dropdown-menu {
    max-height: 400px !important;
}



#year-search {
    height: 25px;
    width: 125px;
}

#reset-results-btn {
    padding: .2rem .5rem;
    font-size: .8rem;
}

.map-container {
    max-width: 100%;
}

#openseadragon1 {
    z-index: 20;
    position: relative;;
}

#begin-content {
    background-color: #F5F7FF;
    border-radius: 5px;
    padding: 0;
}

@media screen and (min-width: 576px) {
    #begin-content {
        padding: 1rem;
    }
}

.form-horizontal {
    margin-bottom: 0;
}

.county-timeline {
    position: relative;
    right: 4.5rem;
    top: 1.5rem;
    /* z-index: 20; */
    margin-bottom: 2rem;
    min-height: 100px;
}

#county-timeline-header,
.year-prompt {
    font-size: 1.5rem;
    line-height: 18px;
}

.timeline-header-container * {
    z-index: 2;
}

#county-timeline-list {
    list-style-type: none
}

#county-timeline-list li {
    font-size: .8rem;
}

.bootstrap-select {
    min-width: 300px;
    max-width: 300px;
}

.map-arrows {
    cursor: pointer;
    color: rgba(0, 0, 0, 1);
    padding: .4rem 2.5rem;
    transition: all .2s ease-in-out;
    border: transparent solid 2px;
    width: 65px;
    font-size: 1rem;
    border-radius: 7px;
margin: 2rem;
}

.map-arrows:hover {
    opacity: .8;
    border: white solid 2px;

}

ul {
    padding-left: 0;
}

.form-control-success:focus {
    border-color: #bde0fe;
    -webkit-box-shadow: 0px 0px 15px 3px rgba(189, 224, 254, 0.47);
    box-shadow: 0px 0px 15px 3px rgba(189, 224, 254, 0.47);
}

.form-control-warning:focus {
    border-color: #D90429;

    box-shadow: 0px 0px 15px 3px rgba(217, 4, 41, 0.47);
}

.map-info-container {
    width: 100%;
}

.map-info-container * {
    z-index: 5;
}


.map-sizing {
    width: 90%;
    /* margin-bottom: 4em; */
    border: black solid 2px;
}




.main-map {
    width: 100%;
    aspect-ratio: 23/17;
    -webkit-box-shadow: 0px 0px 58px 2px rgba(0, 0, 0, 0.15);
    box-shadow: 0px 0px 58px 2px rgba(0, 0, 0, 0.15);
}

#map-info-popup {
    position: relative;
}

.map-popup {
    color: #3863FF;
}

#citation-popup {
    margin-left: 10px;
}






.thumb-arrows {
    width: 66px;
    min-width: 20px;
}



.carousel-container {
    width: 52%;
    height: 79%;
}


.thumb-map-img {
    /* flex: 1 1 auto; */
    opacity: .5;
    width: 115px;
    height: 115px;
    cursor: pointer;
    aspect-ratio: 12/13;
    transition: opacity 350ms ease-in-out;
    background-image: url("https://www.floridamemory.com/FMP/maps/small/fmc0001.jpg");
}

.thumb-map-img:hover {
    opacity: 1;
}

.active-img {
    opacity: 1;
    transform: scale(1.1);
    -webkit-box-shadow: 0px 0px 38px 2px rgba(0, 0, 0, 0.15);
    box-shadow: 0px 0px 38px 2px rgba(0, 0, 0, 0.15);
}

.thumb-text {
    position: relative;
    text-align: center;
    opacity: .3;
    color: black;
    background-color: #dad7cd;
    pointer-events: none;
}

.slider-img {
    height: 100px;
    width: 100px;
    cursor: pointer;
    opacity: .5;
    transition: opacity .3s ease-in-out;
}

.slider-img:hover {
    opacity: 1;
}

.prev-thumb-icon,
.next-thumb-icon {
    opacity: .5;
    border: 1px solid black;
    padding: 8px;
    border-radius: 50%;
    transition: all .3s ease-in-out;
}

.prev-thumb-icon:hover,
.next-thumb-icon:hover {
    opacity: 1;
    cursor: pointer;
}

.map-1 {
    background-position: 6% 4%
}

.map-2 {
    background-position: 21% 4%
}

.map-3 {
    background-position: 36% 4%
}

.map-4 {
    background-position: 51% 4%
}

.map-5 {
    background-position: 66% 4%
}

.map-6 {
    background-position: 81% 4%
}

.map-7 {
    background-position: 96% 4%
}

.map-8 {
    background-position: 6.5% 33%
}

.map-9 {
    background-position: 22% 33%
}

.map-10 {
    background-position: 37% 32%
}

.map-11 {
    background-position: 52% 32%
}

.map-12 {
    background-position: 67% 32%
}

.map-13 {
    background-position: 81.5% 32%
}

.map-14 {
    background-position: 97% 31.5%
}

.map-15 {
    background-position: 7% 61.5%
}

.map-16 {
    background-position: 22% 61%
}

.map-17 {
    background-position: 37% 61%
}

.map-18 {
    background-position: 52% 60%
}

.map-19 {
    background-position: 67% 59%
}

.map-20 {
    background-position: 82% 59%
}

.map-21 {
    background-position: 97.5% 59%
}

.nav-arrows {
    font-size: 15px;
    padding: 5px 5px;
    /* border-radius: 50%; */
    transition: all 300ms ease-in-out;
    z-index: 10;
}

.nav-arrows:hover {
    cursor: pointer;
    color: white;
    background-color: black;
}






.interactive-map {
    position: absolute;
    top: 0;
    z-index: 1;
    right: 3rem;
}



@media screen and (min-width: 1600px) {
    .interactive-map {
        right: 6rem;
    }
}
@media screen and (min-width: 1800px) {
    .interactive-map {
        right: 8rem;
    }
}



#old-county-info {
    display: flex;
    justify-content: center;

    position: relative;
    top: .4rem;
    width: 100%;
}

#old-county-info .span-container {
    width: 50%;
    position: relative;

    right: 4.5rem;
    /* border: #F6F6F6 solid 3px;
    padding: .2rem; */
}

#old-county-info span {
    font-size: .8rem;
}

.year-container {
    position: relative;

}

.year-container * {
    z-index: 2;
}

.year-items-container {
    /* margin-left: 1.5rem; */
    position: relative;
    right: 4.5rem;
    width: fit-content;
    transition: .2s all ease-in-out;
    /* border-radius: 50%; */
}




.btn-outline-dark {
    color: #343a40;
    background-color: white;
    background-image: none;
    border-color: #343a40;
}

.delete-icon,
.delete-icon:hover {
    opacity: 0;
    cursor: default;
}

.make-clickable {
    display: flex;
    justify-content: center;
    cursor: pointer;
    color: #3863FF;
    transition: all .2s ease-in-out;
}


.map-popup {
    color: #3863FF;
    transition: all .2s ease-in-out;
}

.county-content-container:hover .make-clickable {
    color: #A03737 !important;
    text-decoration: underline;
}

.county-content-container:hover .map-popup {
    color: #A03737 !important;

}

.popover-body {
    max-height: 400px;
    max-width: 150px;
    overflow-y: auto;
    white-space: pre-wrap;
}

.map-container-width {
    width: 100%;
    max-width: 500px;
}

.info-popup:hover {
    cursor: zoom-in;
}


@media (min-width: 451px) {
    html {
        font-size: .8em;
    }



}

@media (min-width: 576px) {
    html {
        font-size: .9em;
    }

    .nav-arrows {
        font-size: 30px;
        padding: 5px 5px;
    }

    .main-map-container {
        width: 100%;
    }




    .popover-body {
        max-width: 150px;
    }

    .map-sizing {
width: 100%;
        margin-bottom: 0;
    }
}

@media (min-width: 768px) {
    html {
        font-size: 1em;
    }



}

.popover {
    max-width: 100%;
    /* Max Width of the popover (depending on the container!) */
}

@media (min-width: 992px) {
    html {
        font-size: 1.2em;
    }





    .popover-body {
        max-width: 550px;
    }
}

@media (min-width: 1200px) {
    html {
        font-size: 1.5em;
    }







}

.disabled {

    pointer-events: none;
    /* Disable an element interaction, so it will not respond any event */
    opacity: .2;
    /* Gray out the text color to signify being disabled */
    /* margin-left: 10px; */

}

@media screen and (min-width: 575px) {
    .year-items-container {
        /* top: 1rem; */
        /* aspect-ratio: 1/1; */
        /* background-color: #F5F5F5;
   padding: .2rem; */
    }

    .year-container {
        top: 3rem;
    }

    #old-county-info {
        top: 3rem;
    }

    #old-county-info .span-container {
        right: 4.5rem;
    }

    .county-timeline {
        top: 3.5rem;
        /* z-index: 20; */
        min-height: 225px;
    }

}

@media screen and (min-width: 600px) {
    #year-search {
        height: 35px;
        width: 200px;
        /* font-size: .rem; */
    }
}

@media screen and (min-width: 1200px) {


    #county-timeline-header,
    .year-prompt {
        font-size: 1.5rem;
        line-height: 22px;
    }

    .year-container {
        top: -1rem;
    }

    .county-timeline {
        top: 0rem;
        /* z-index: 20; */
        margin-bottom: .5rem;
    }

    #county-timeline-list li {
        line-height: 22px;
    }

    #old-county-info {
        top: -.5rem;
    }

    .main-map-container {
        position: relative;
        bottom: 1.5rem;
    }
}